@font-face {
  font-family: 'JetFontGemini';
  src: url('/font/JetFontGemini.ttf');
}

:focus {
	outline: none;
}

* {
	margin: 0;
	padding: 0;
	float: left;
	width: 100%;
	box-sizing: border-box;
}

span, strike, strong, i {
	float: none;
	width: auto;
}

video {
	width: 100%;
	height: 100%;
}

h1, h3, h4, h5, h6 {
	color: #FFF;
	font-variant: small-caps;
}

a {
	float: none;
	width: auto;
	color: #DDD;
	text-decoration: none;
	cursor: pointer;
    transition: all 0.25s ease-in-out;
    -moz-transition: all 0.25s ease-in-out;
    -webkit-transition: all 0.25s ease-in-out;
    -o-transition: all 0.25s ease-in-out;	
}

a:hover { color: #FFF; }

p {
	margin-bottom: 10px;
	font-size: 110%;
}

p.center {
	text-align: center;
}
	
/*
p a:after {
	font-style: normal;
    content: '\1F517';
}
*/

ol, ul { list-style-type: none; }

ol.num {
	padding: 0 0 0 30px;
	list-style-type: decimal-leading-zero;
}

ol.disc, ul.disc {
	margin: 0 0 10px 0;
	padding: 0 0 0 30px;
	list-style-type: disc;
}

html, body {
	--site-padding: 100px;
	--site-width: 1400px;
	--site-back: #080818;
	position: relative;
	float: none;
	margin: 0 auto;
	min-width: var(--site-width);
	height: 100%;
	min-height: 100%;
	color: #DDD;
	font-family: "segoe ui", "courier new", sans-serif;
	font-size: 100%;
	background: var(--site-back);
}












header > ul {
	--header-link-color: #FFFFFF;
	--header-link-border: #FFFFFF;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0;
	padding: 0;
	width: auto;
	height: 100%;
}

header > ul > li {
	display: flex;
	justify-content: center;
	align-items: center;
	min-width: 180px;
	height: 100%;
	font-size: 125%;
	font-variant: small-caps;
	border-bottom: 3px solid transparent;
	border-radius: 3px 3px 0 0;
	cursor: pointer;
	transition: 0.2s all ease-in-out;
}

header > ul > li:hover {
	color: var(--header-link-color);
	background-color: rgba(255,255,255,0.1);
	border-bottom-color: var(--header-link-border);
}

header > ul > li > a {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
}




fixed-header {
	--height: 60px;
	display: flex;
	justify-content: center;
	align-items: center;
	position: fixed;
	bottom: calc(100% - var(--height));
	padding: 5px 0;
	height: var(--height);
	background: var(--site-back);
	border-bottom: 1px solid #808080;
	z-index: 9999;
	transition: 0.5s all ease-in-out;
}

fixed-header.hidden {
	bottom: 100%;
}

fixed-header > div {
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: relative;
	padding: 0 calc(var(--site-padding) / 5);
	width: var(--site-width);
	height: 100%;
}

fixed-header logo {
	display: flex;
	justify-content: start;
	align-items: center;
	position: relative;
	padding-left: 62px;
	width: auto;
	white-space: nowrap;
	font-size: 150%;
	cursor: pointer;
	transition: 0.5s all ease-in-out;
}

fixed-header logo:hover {
	color: #FFF;
}

fixed-header logo:before, fixed-header logo:after {
	content: '';
	display: block;
	position: absolute;
	left: 0;
	margin: 0;
	width: 52px;
	height: 32px;
	background-image: url('/img/favicon.png');
	background-size: 32px;
	background-position: center;
	background-repeat: no-repeat;
	border-radius: 10px;
	transition: 0.5s all ease-in-out;
}

fixed-header logo:before {
	background-image: url('/img/favicon2.png');
	opacity: 0;
}

fixed-header logo:hover:before { opacity: 1; }
fixed-header logo:hover:after { opacity: 0; }

fixed-header header {
	display: flex;
	justify-content: end;
	align-items: center;
	height: 100%;
}

fixed-header header > div {
	display: none;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	position: relative;
	width: var(--height);
	height: var(--height);
	cursor: pointer;
	overflow: hidden;
	transition: 0.25s all ease-in-out;
}

fixed-header header > div:hover {
	background: rgba(255,255,255,0.25);
}

fixed-header header > div > div, fixed-header header > div:before, fixed-header header > div:after {
	position: absolute;
	content: '';
	display: block;
	margin: 3px 0;
	width: 50%;
	height: 6px;
	background: #FFFFFF;
	border-radius: 100px;
	transition: 0.25s all ease-in-out;
}

fixed-header header > div > div:first-child { top: calc(50% - 18px); }
fixed-header header > div > div:last-child { bottom: calc(50% - 18px); }

fixed-header header.visible > div > div:first-child { top: -100%; }
fixed-header header.visible > div > div:last-child { bottom: -100%; }

fixed-header header.visible > div > div {
	visibility: hidden;
	opacity: 0;
}

fixed-header header.visible > div:before {
	transform: rotate(-45deg);
}
fixed-header header.visible > div:after {
	transform: rotate(45deg);
}

fixed-header ul > li {
	border-radius: 3px 3px 0 0;
}





footer {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	padding: calc(var(--site-padding) / 3) calc(var(--site-padding) / 5);
	width: 100%;
	text-align: center;
	color: #888;
	background: #141414;
}

footer > div {
	width: var(--site-width);
}

footer a {
	color: #888;
}









nav > ul {
	display: flex;
	justify-content: center;
	align-items: center;
}

nav > ul.wrap {
	flex-flow: row wrap;
	gap: 10px;
}

nav > ul.right {
	justify-content: end;
}

nav > ul > li {
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0 10px 10px 0;
	padding: 0 25px;
	width: auto;
	height: 50px;
	line-height: 1em;
	white-space: nowrap;
	font-size: 120%;
    color: #A0A0A0;
	text-shadow:
		0px 1px #000,
		1px 1px #000,
		1px 0px #000;
	border: 1px solid #A0A0A0;
    border-radius: 3px;
	cursor: pointer;
    transition: 0.25s all ease-in-out;
}

nav > ul > li:last-child {
	margin-right: 0;
}

nav > ul.wrap > li {
	flex: 1 1 10%;
	margin: 0;
}

nav > ul > li:hover {
	color: #FFF;
	background-color: #A0A0A0;
}

nav > ul > li > a {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;
	color: #A0A0A0;
}

nav > ul > li:hover > a {
	color: #FFFFFF;
}





profiles {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-flow: row wrap;
	gap: 10px;
}

profiles > profile {
	display: flex;
	justify-content: start;
	align-items: center;
	flex-direction: column;
	flex: 0 1 auto;
	padding: 25px;
	width: auto;
	min-width: 300px;
	/*min-height: 300px;*/
	line-height: 1.3em;
	font-size: 120%;
	text-shadow:
		0px 1px #000,
		1px 1px #000,
		1px 0px #000;
	border: 1px solid #808080;
    border-radius: 3px;
	cursor: pointer;
    transition: 1s all ease-in-out;
	visibility: hidden;
	opacity: 0;
}

profiles > profile.visible {
	visibility: visible;
	opacity: 1;
}
profile.seadan {
	margin-top: var(--site-padding);
	width: 640px;
	height: 480px;
	background-size: 640px 480px;
	background-image: url('/img/bg/seadans-ice-arrow.png');
	border-color: blue;
}

profiles > profile > header {
	padding-bottom: 20px;
	font-family: 'hyliaserif';
	font-size: 200%;
	text-align: center;
	color: #80C0FF;
    transition: 0.5s all ease-in-out;
}

profiles > profile a { color: #80C0FF; }
profiles > profile > header:hover { color: #FFFFFF!important; }

profiles > profile > p {
	text-align: center;
	font-size: 90%;
}









cover {
	display: flex;
	justify-content: center;
	align-items: center;
	position: relative;
	padding: var(--site-padding);
	width: 100%;
	height: 100vh;
	background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/bg/mizars-palace.png');
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-position: center;
	background-attachment: fixed;
}

cover.error404 { background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/bg/tawfret-bridge.png'); }

cover > header {
	display: flex;
	justify-content: end;
	align-items: center;
	position: absolute;
	inset: var(--site-padding) var(--site-padding) auto var(--site-padding);
	width: auto;
	height: 50px;
	/*background: rgba(255,255,255,0.05);*/
	border-radius: 3px;
}

cover .info {
	font-family: 'lato', 'arial', sans-serif;
}

cover h1 {
	font-family: 'JetFontGemini';
	font-size: 550%;
	font-weight: 500;
	letter-spacing: 2px;
	text-transform: uppercase;
	line-height: 1em;
	text-shadow:
		0px -1px #000,
		1px -1px #000,
		1px 0px #000,
		1px 1px #000,
		1px 2px #000,
		2px 1px #000,
		2px 2px #000,
		2px 3px #000,
		3px 2px #000,
		3px 3px #000,
		0px 1px #000,
		-1px 1px #000,
		-1px 0px #000,
		-1px -1px #000;
}

cover h2 {
	display: flex;
	align-items: center;
	color: #FFF;
	font-size: 200%;
	font-weight: 100;
}

cover h2 > span {
	margin-left: 10px;
	font-size: 65%;
	text-shadow:
		0px 1px #000,
		1px 1px #000;
}

cover h3 {
	margin: 10px 0 0 0;
	font-size: 100%;
	text-transform: uppercase;
	font-weight: 100;
	letter-spacing: 2px;
}

cover > nav > ul > li {
	text-transform: uppercase;
	height: 60px;
	font-size: 150%;
	font-weight: 100;
    color: #4AA8E8;
	background-color: #00000020;
	border-radius: 5px;
	border-color: #4AA8E8;
}

cover > nav > ul > li:hover {
	background-color: #4AA8E8;
}

cover > nav > ul > li > a {
    color: #4AA8E8;
}







main {
	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
	width: 100%;
	min-height: 100vh;
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-position: center;
	background-attachment: fixed;
	border-top: 10px solid var(--site-back);
}

main:nth-child(2) {
	min-height: 100vh;
}

main.what-is { background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/bg/walkway-peak.png'); }
/*main.information { background-image: linear-gradient(rgba(0,0,0,0.75), rgba(0,0,0,0.75)), url('/img/bg/walkway-peak.png'); }*/
main.download { background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/bg/big-bug-fun-club.png'); }

section {
	padding: var(--site-padding) calc(var(--site-padding) / 5);
	width: var(--site-width);
}

section > header {
	margin: 0 0 20px 0;
	line-height: 1em;
	font-size: 300%;
	text-transform: uppercase;
	text-align: center;
}

/*
section > p {
	text-indent: 2em;
}
*/

boxes {
	display: flex;
	flex-flow: row wrap;
}

boxes box {
	--amount: 4;
	--margin: 10px;
	--back-cover: 0.65;
    flex-direction: row;
	position: relative;
	margin: 0 var(--margin) var(--margin) 0;
	padding: calc(var(--site-padding) / 8) calc(var(--site-padding) / 4);
	width: calc((100% / var(--amount)) - ((var(--margin) * (var(--amount) - 1)) / var(--amount)));
	/*min-height: 385px;*/
	-webkit-background-size: cover;
	-moz-background-size: cover;
	-o-background-size: cover;
	background-size: cover;
	background-position: center;
	background-color: #00000040;
	border: 1px solid rgba(255,255,255,0.35);
	border-radius: 3px;
}

boxes box:nth-child(4n) { margin-right: 0; }

boxes box > header {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-bottom: 10px;
	height: 50px;
	text-transform: uppercase;
	font-weight: 200;
	font-size: 150%;
	border-bottom: 1px solid rgba(255,255,255,0.25);
}

boxes box > ul {
    margin: 0 10px 0 0;
}

boxes box > ul li:before {
	float: left;
    margin: 6px 10px 4px 10px;
	width: 14px;
	height: 12px;
	background: url('/img/bullet/check.png');
    content: '';
}

boxes box > ul.x li:before { background: url('/img/bullet/x.png'); }

boxes box.timer { background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/info/timer.png'); }






.important {
	color: #FF8080;
}

.outline.black {
	text-shadow:
		0px -1px #000,
		1px -1px #000,
		1px 0px #000,
		1px 1px #000,
		0px 1px #000,
		-1px 1px #000,
		-1px 0px #000,
		-1px -1px #000;
}

.outline.black.shadow {
	text-shadow:
		0px -1px #000,
		1px -1px #000,
		1px 0px #000,
		1px 1px #000,
		1px 2px #000,
		2px 1px #000,
		2px 2px #000,
		2px 3px #000,
		3px 2px #000,
		3px 3px #000,
		0px 1px #000,
		-1px 1px #000,
		-1px 0px #000,
		-1px -1px #000;
}

.shadow {
	text-shadow:
		1px 0px #0008,
		1px 1px #0008,
		0px 1px #0008;
}














.tweet-container {
	padding: 0 100px;
}




.quote {
    position: relative;
    padding: 20px 40px 50px 80px;
	width: 100%;
	line-height: 1.2em;
	text-align: left;
    font-size: 120%;
	font-style: italic;
    background: rgba(255,255,255,0.1);
    border-radius: 10px;
}

.quote:before {
	position: absolute;
	height: 0;
    left: 20px;
    top: 50px;
	font-family: arial;
	font-size: 6em;
	content: open-quote;
}
.quote:after {
	position: absolute;
	height: 0;
    right: 20px;
	bottom: 15px;
	font-family: arial;
	font-size: 6em;
	content: close-quote;
}

.quote:after {
	display: block;
	position: absolute;
	bottom: 35px;
	right: 40px;
	text-align: right;
	font-size: 0.875em;
	font-style: normal;
	content: "\2013 " attr(cite);
}

.quote > a {
	position: absolute;
	left: 80px;
	bottom: 15px;
	font-style: normal;
	text-decoration: underline;
}

.in-line {
	display: inline-block;
	padding: 3px 5px;
	line-height: 1em;
	color: #BBB;
	font-family: monospace;
	font-size: 130%;
	background: #101010;
	border: 1px solid #505050;
	border-radius: 3px;
	white-space: nowrap;
}


.g {
    color: #02F002;
}

.r {
    color: #F00202;
}








/* Scrollbar */
::-webkit-scrollbar {
	width: 12px;
	height: 12px;
}
::-webkit-scrollbar-track { background: #202020; }
::-webkit-scrollbar-thumb {
	width: 5px;
	background: #808080;
	border: 2px solid #202020;
	border-radius: 25px;
}
::-webkit-scrollbar-corner, ::-webkit-resizer { background: transparent; }







@media only screen and (max-width: 1200px) {
	html, body {
		width: 100%;
		min-width: 375px;
	}
	
	fixed-header header > div { display: flex; }

	fixed-header header > ul {
		justify-content: start;
		flex-direction: column;
		position: fixed;
		top: var(--height);
		bottom: 0;
		left: -100%;
		width: 90%;
		background: var(--site-back);
		border-right: 1px solid #808080;
		transition: 0.5s all ease-in-out;
	}

	fixed-header header.visible > ul { left: 0; }

	fixed-header header > ul > li {
		padding: 0 calc(var(--site-padding) / 5);
		height: auto;
		min-height: var(--height);
		border: none;
		border-radius: 0;
	}
	
	fixed-header header > ul > li:hover { background: #404040; }
	fixed-header header > ul > li, fixed-header header > ul > li > a { justify-content: start; }
	/* Hide the elements that just scroll to a part of the page. */
	
	header > ul > li:not(:has(a)) { display: none; }
	
	
	cover {
		flex-direction: column;
	}

	cover.error404 { background-image: linear-gradient(rgba(0,0,0,0.65), rgba(0,0,0,0.65)), url('/img/bg/mayors-residence.png'); }

	cover > header {
		justify-content: center;
	}

	cover .info > * {
		justify-content: center;
		text-align: center;
	}

	cover > nav > ul {
		justify-content: center!important;
		margin-top: var(--site-padding);
	}
	
	section {
		padding: var(--site-padding) calc(var(--site-padding) / 5);
		width: 100%;
	}
	
	footer > div {
		width: 100%;
	}
}

@media only screen and (max-width: 900px) {
	html, body  {
		--site-padding: 50px;
	}
	
	main:nth-child(2) {
		padding-top: var(--site-padding);
	}
	
	boxes box {
		margin: 0 0 10px 0;
		width: 100%;
	}
}

@media only screen and (max-width: 500px) {

	cover h1 {
		font-size: 250%;
	}
	
	section > header {
		font-size: 200%;
	}
}

@media only screen and (width: 375px) and (-webkit-min-device-pixel-ratio: 3) and (orientation: portrait) {
	
}